package com.chy.borrow.eum;

public enum ExamineStatusEnum {

    STATUS_PASS(1,"1","通过"),
    STATUS_REJECT(2,"2","不通过");

    private Integer statusCode;
    private String statusCodeString;
    private String statusName;

    ExamineStatusEnum(Integer statusCode, String statusCodeString, String statusName) {
        this.statusCode = statusCode;
        this.statusCodeString = statusCodeString;
        this.statusName = statusName;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public String getStatusCodeString() {
        return statusCodeString;
    }

    public void setStatusCodeString(String statusCodeString) {
        this.statusCodeString = statusCodeString;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public static ExamineStatusEnum get(Integer statusCode){
        for(ExamineStatusEnum examineStatusEnum:values()){
            if (examineStatusEnum.getStatusCode().equals(statusCode)){
                return examineStatusEnum;
            }
        }
        return null;
    }
}
